# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.568   -> 1.569  
#	drivers/usb/core/usb.c	1.47    -> 1.48   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/04/26	greg@kroah.com	1.569
# USB core
# 
# document the return value of usb_register_dev() better.
# --------------------------------------------
#
diff -Nru a/drivers/usb/core/usb.c b/drivers/usb/core/usb.c
--- a/drivers/usb/core/usb.c	Fri Apr 26 16:05:36 2002
+++ b/drivers/usb/core/usb.c	Fri Apr 26 16:05:36 2002
@@ -155,8 +155,10 @@
  * usb_deregister_dev() should be called when the driver is done with
  * the minor numbers given out by this function.
  *
- * Returns a negative error code on failure and 0 on success, alone with
- * a value that the driver should use in start_minor.
+ * Returns -ENODEV if CONFIG_USB_DYNAMIC_MINORS is not enabled in this
+ * kernel, -EINVAL if something bad happens with trying to register a
+ * device, and 0 on success, alone with a value that the driver should
+ * use in start_minor.
  */
 #ifdef CONFIG_USB_DYNAMIC_MINORS
 int usb_register_dev (struct usb_driver *new_driver, int num_minors, int *start_minor)
